package com.muyu.car.service.Impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.muyu.car.domain.CarInformation;
import com.muyu.car.domain.req.CarInformationAddReq;
import com.muyu.car.domain.req.CarInformationListReq;
import com.muyu.car.domain.req.CarInformationUpdReq;
import com.muyu.car.mapper.CarInformationMapper;
import com.muyu.car.service.CarInformationService;
import com.muyu.common.core.domain.Result;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class CarInformationServiceImpl implements CarInformationService {
    @Resource
    private CarInformationMapper carInformationMapper;
    @Autowired
    private HttpServletResponse response;


    @Override
    public PageInfo<CarInformation> selectCarInformationList(CarInformationListReq carInformationListReq) {
        PageHelper.startPage(carInformationListReq.getPageNum(),carInformationListReq.getPageSize());
        List<CarInformation> carInformations = carInformationMapper.selectCarInformationList(carInformationListReq);
        PageInfo<CarInformation> pageInfo = new PageInfo<>(carInformations);
        return pageInfo;
    }

    @Override
    public Result addCarInformation(CarInformationAddReq carInformationAddReq) {
        Integer addCarInformation = carInformationMapper.addCarInformation(carInformationAddReq);
        if(addCarInformation > 0){
            return Result.success(addCarInformation,"添加车辆成功");
        }
        return Result.error(402,"添加车辆失败");
    }

    @Override
    public Result delBycarInformationId(Integer carInformationId) {
        Integer delBycarInformationId = carInformationMapper.delBycarInformationId(carInformationId);
        if (delBycarInformationId > 0){
            return Result.success(delBycarInformationId ,"删除车辆成功");
        }
        return Result.success(402,"删除车辆失败");
    }

    @Override
    public Result updatecarInformation(CarInformationUpdReq carInformationUpdReq) {
        Integer updatecarInformation = carInformationMapper.updatecarInformation(carInformationUpdReq);
        if (updatecarInformation > 0){
            return Result.success(updatecarInformation,"修改车辆信息成功");
        }
        return Result.error(402,"修改车辆信息失败");
    }

    @Override
    public List<CarInformation> selectBycarInformationIDAndLicensePlate() {
        return carInformationMapper.selectBycarInformationIDAndLicensePlate();
    }
}
