package com.muyu.car.service.Impl;

import com.muyu.car.domain.CarMessage;
import com.muyu.car.mapper.CarMessageMapper;
import com.muyu.car.service.CarMessageService;
import com.muyu.common.core.domain.Result;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class CarMessageServiceImpl implements CarMessageService {
    @Resource
    private CarMessageMapper carMessageMapper;

    @Override
    public List<CarMessage> selectCarMessageList() {
        return  carMessageMapper.selectCarMessageList();
    }

    @Override
    public Result insertCarMessage(CarMessage carMessage) {
        Integer inserted = carMessageMapper.insertCarMessage(carMessage);
        if (inserted > 0){
            return Result.success(inserted,"添加成功");
        }
        return Result.error(402,"添加失败");
    }

    @Override
    public Result delectByCarMessageId(Integer carMessageId) {
        Integer deleteByCarMessageId = carMessageMapper.deleteByCarMessageId(carMessageId);
        if (deleteByCarMessageId >0){
            return Result.success(carMessageId ,"删除成功");
        }
        return  Result.error(402,"删除失败");
    }

    @Override
    public Result updateCarMessage(CarMessage carMessage) {
        Integer integer = carMessageMapper.updateCarMessage(carMessage);
        if(integer > 0)
        {
            return Result.success(carMessage,"修改成功");
        }
        return Result.error( 402,"修改失败");
    }






}
