package com.muyu.warn.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author：蓬叁
 * @Package：com.muyu.warn.domain
 * @Project：cloud-server-8
 * @name：WarnLogs
 * @Date：2024/9/20 下午7:11
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("warn_logs")
public class WarnLogs {

   /**
    * 预警日志id
    */
   @Excel(name = "预警日志id", cellType = Excel.ColumnType.NUMERIC)
   @TableId(type = IdType.AUTO)
   private Long id;
   /**
    * 车辆vin码
    */
   @Excel(name = "车辆vin码")
   private String vin;
   /**
    * 规则id
    */
   @Excel(name = "规则id")
   private Long warnRuleId;
   /**
    * 开始时间
    */
   @Excel(name = "开始时间")
   @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
   @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
   private Date startTime ;
   /**
    * 结束时间
    */
   @Excel(name = "结束时间")
   @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
   @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
   private Date endTime ;
   /**
    * 最大值
    */
   @Excel(name = "最大值")
   private Long maxValue ;
   /**
    * 最小值
    */
   @Excel(name = "最小值")
   private Long minValue ;
   /**
    * 平均值
    */
   @Excel(name = "平均值")
   private Long avgValue ;
   /**
    * 中位数
    */
   @Excel(name = "中位数")
   private Long medianValue ;
   /**
    * 是否发送预警
    */
   @Excel(name = "是否发送预警")
   private Long status ;
//    /**
//     * 创建人
//     */
//    @Excel(name = "创建人")
//    private String createBy ;
//    /**
//     * 创建时间
//     */
//    @Excel(name = "创建时间")
//    private String createTime ;
//    /**
//     * 更新人
//     */
//    @Excel(name = "更新人")
//    private String updateBy ;
//    /**
//     * 更新时间
//     */
//    @Excel(name = "更新时间")
//    private String updateTime ;

}
