package com.muyu.warn.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.warn.domain.WarnLogs;

import java.util.List;

/**
 * @Author：蓬叁
 * @Package：com.muyu.warn.service
 * @Project：cloud-server-8
 * @name：WarnLogsService
 * @Date：2024/9/20 下午7:32
 */
public interface WarnLogsService extends IService<WarnLogs> {

    /**
     * 精确查询预警日志
     *
     * @param id 预警日志主键
     * @return 预警日志
     */
    public WarnLogs selectWarnLogsById(Long id);

    /**
     * 查询预警日志列表
     *
     * @param warnLogs 预警日志
     * @return 预警日志集合
     */
    public List<WarnLogs> selectWarnLogsList(WarnLogs warnLogs);

    /**
     * 判断 预警日志 id是否唯一
     * @param warnLogs 预警日志
     * @return 结果
     */
    Boolean checkIdUnique(WarnLogs warnLogs);

}
