package com.muyu.warn.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.warn.domain.WarnRule;
import com.muyu.warn.domain.car.CarMessageType;
import com.muyu.warn.domain.car.resp.CarMessageResp;

import java.util.List;

/**
 * @Author：蓬叁
 * @Package：com.muyu.warn.controller
 * @Project：cloud-server-8
 * @name：WarnLogsController
 * @Date：2024/9/20 下午7:29
 */
public interface WarnRuleService extends IService<WarnRule> {
    /**
     * 精确查询预警规则
     *
     * @param id 预警规则主键
     * @return 预警规则
     */
    public WarnRule selectWarnRuleById(Long id);

    /**
     * 查询预警规则列表
     *
     * @param warnRule 预警规则
     * @return 预警规则集合
     */
    public List<WarnRule> selectWarnRuleList(WarnRule warnRule);

    /**
     * 判断 预警规则 id是否唯一
     * @param warnRule 预警规则
     * @return 结果
     */
    Boolean checkIdUnique(WarnRule warnRule);

    /**
     * 获取车辆类型报文
     * @param id
     * @return
     */
    List<CarMessageResp> findByMsg(Long id);
}
